vtc: XVtc_Timing Struct Reference

| vtc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVtc_Timing Struct Reference
Vtc_v7_2

This typedef contains Timing (typically in Display Timing) format configuration information for the VTC core. More...

## Data Fields
u16 | HActiveVideo
| Horizontal Active Video Size. More...
u16 | HFrontPorch
| Horizontal Front Porch Size. More...
u16 | HSyncWidth
| Horizontal Sync Width. More...
u16 | HBackPorch
| Horizontal Back Porch Size. More...
u16 | HSyncPolarity
| Horizontal Sync Polarity. More...
u16 | VActiveVideo
| Vertical Active Video Size. More...
u16 | V0FrontPorch
| Vertical Front Porch Size. More...
u16 | V0SyncWidth
| Vertical Sync Width. More...
u16 | V0BackPorch
| Horizontal Back Porch Size. More...
u16 | V1FrontPorch
| Vertical Front Porch Size. More...
u16 | V1SyncWidth
| Vertical Sync Width. More...
u16 | V1BackPorch
| Vertical Back Porch Size. More...
u16 | VSyncPolarity
| Vertical Sync Polarity. More...
u8 | Interlaced
| Interlaced / Progressive video. More...

## Detailed Description

This typedef contains Timing (typically in Display Timing) format configuration information for the VTC core.

## Field Documentation

u16 XVtc_Timing::HActiveVideo

Horizontal Active Video Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_ConvTiming2VideoMode(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::HBackPorch

Horizontal Back Porch Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::HFrontPorch

Horizontal Front Porch Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::HSyncPolarity

Horizontal Sync Polarity.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::HSyncWidth

Horizontal Sync Width.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u8 XVtc_Timing::Interlaced

Interlaced / Progressive video.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_ConvTiming2VideoMode(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::V0BackPorch

Horizontal Back Porch Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::V0FrontPorch

Vertical Front Porch Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::V0SyncWidth

Vertical Sync Width.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::V1BackPorch

Vertical Back Porch Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::V1FrontPorch

Vertical Front Porch Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::V1SyncWidth

Vertical Sync Width.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::VActiveVideo

Vertical Active Video Size.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), XVtc_ConvTiming2VideoMode(), and XVtc_ConvVideoMode2Timing().

u16 XVtc_Timing::VSyncPolarity

Vertical Sync Polarity.

Referenced by XVtc_ConvSignal2Timing(), XVtc_ConvTiming2Signal(), and XVtc_ConvVideoMode2Timing().